Package ghidra.app.plugin.assembler.sleigh.sem

# Class AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedPatternBuilder

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<AssemblyResolvedPatterns>,AssemblyResolvedPatterns>
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<AssemblyResolvedPatterns>
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedPatternBuilder

Enclosing class:
  `AbstractAssemblyResolutionFactory<RP extends AssemblyResolvedPatterns,BF extends AssemblyResolvedBackfill>`

public class AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedPatternBuilder extends AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<AssemblyResolvedPatterns>

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder

  `backfills, cons, ctx, forbids, ins`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `children, description, right`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultAssemblyResolvedPatternBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AssemblyResolvedPatterns`
  `build()`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder

  `copyFromDefault`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `children, copyFromDefault, description, right, self`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultAssemblyResolvedPatternBuilder

    public DefaultAssemblyResolvedPatternBuilder()

- ## Method Details

  - ### build

    protected AssemblyResolvedPatterns build()
    Specified by:
      `build` in class `AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<AssemblyResolvedPatterns>,AssemblyResolvedPatterns>`